# FederationLib

Spam is a persistent problem on the internet, affecting various communication channels such as email, social media,
messaging apps, and more. Spammers use different techniques to distribute spam, such as creating fake accounts, using
automated bots or exploiting vulnerabilities in the system, this extends towards bad actors who may use these techniques
to harm children, spread misinformation, or even commit financial fraud. In order to combat these issues, while different
systems have developed methods for identifying and classifying spam, there is no standard or centralized way to share
this information. This results in duplication of effort and inconsistencies in spam classification across different
systems.

The objective of this project is to develop a decentralized, open-source, and privacy-preserving spam detection and
classification system. This system will act as a decentralized authority for internet spam classification. The server
will allow different organizations and individuals to contribute to the common database, to which the public may query
the common database to check if the given content or entity could be classified as spam and provide a confidence score
alongside with evidence to support the classification.